defmodule Arcology.Application do
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
         ArcologyWeb.Telemetry
       , Arcology.Repo
       , {Phoenix.PubSub, name: Arcology.PubSub}
       , {Finch, name: Arcology.Finch}
       , ArcologyWeb.Endpoint
    ]
  
    opts = [strategy: :one_for_one, name: Arcology.Supervisor]
    Supervisor.start_link(children, opts)
  end

  @impl true
  def config_change(changed, _new, removed) do
    ArcologyWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
